Error
A valid request URL is required to generate request examples{
"header": {
"queryParams": {
"aggrType": "<string>",
"modelId": "<string>",
"rows": 123,
"collection": "<string>",
"aggrRows": 123,
"q": "<string>",
"fq": [
"<string>"
],
"docId": "<string>",
"userId": "<string>",
"debug": false,
"shinglesLimit": 123,
"termsLimit": 123,
"rollupField": "<string>",
"rollupWeightField": "<string>"
},
"totalTime": 123
},
"items": [
{
"docId": "<string>",
"weight": 123
}
],
"debugInfo": {
"aggrTime": 123,
"queryTime": 123,
"solrParams": {}
}
}Get recommendations for a query
The fields document-id and its weight are returned
GET
/
recommend
/
{collection}
/
itemsForQuery
Error
A valid request URL is required to generate request examples{
"header": {
"queryParams": {
"aggrType": "<string>",
"modelId": "<string>",
"rows": 123,
"collection": "<string>",
"aggrRows": 123,
"q": "<string>",
"fq": [
"<string>"
],
"docId": "<string>",
"userId": "<string>",
"debug": false,
"shinglesLimit": 123,
"termsLimit": 123,
"rollupField": "<string>",
"rollupWeightField": "<string>"
},
"totalTime": 123
},
"items": [
{
"docId": "<string>",
"weight": 123
}
],
"debugInfo": {
"aggrTime": 123,
"queryTime": 123,
"solrParams": {}
}
}Path Parameters
The name of a specific collection; it must have associated <collectionName_signals> and <collectionName_signals_aggr> collections
Query Parameters
The Solr query string
The number of items to return
A filter query to limit results; if used, the field name must be included along with the value
The number of rows per aggregation
The type of aggregation
If true, debug information will be returned with the results
Was this page helpful?
Retrieve items that are related to a defined item (a document ID)Retrieve queries that were made for a specified document-id
⌘I